# 32/64bit spec-file
#
%define name qtfm
%define	version	5.9
%define release	%mkrel 2

Summary:		A lightweight file manager
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
URL:		http://www.qtfm.org
Source:		%name-%version.tar.xz
Source1:	%name-translations.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}qt4-devel
BuildRequires:	%{_lib}magic-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
Requires:	task-qt4


%description
qtFM is a small, lightweight file manager for Linux desktops based on pure Qt 
and works great with minimal desktop environments like Openbox.

%prep
%setup -qn %{name}

%build
qmake
%make 

%install
rm -rf %{buildroot}

install -Dm 755 %{name} $RPM_BUILD_ROOT/%_bindir/%{name}
install -Dm 644 %{name}.desktop $RPM_BUILD_ROOT/%_datadir/applications/%{name}.desktop
install -Dm 644 images/%{name}.png $RPM_BUILD_ROOT/%_datadir/pixmaps/%{name}.png

mkdir -p $RPM_BUILD_ROOT/%_datadir/%{name}/translations
tar zxf %SOURCE1 -C $RPM_BUILD_ROOT/%_datadir/%{name}/translations

mkdir -p $RPM_BUILD_ROOT/%_datadir/doc/%{name}
cp CHANGELOG COPYING README $RPM_BUILD_ROOT/%_datadir/doc/%{name}

desktop-file-install --vendor="" \
  --remove-category="FileManager" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/%{name}.png
%_datadir/%{name}
%_datadir/doc/%{name}


%changelog
* Sat May 02 2015 bb <bb> 5.9-2pclos2015
- fix translatation

* Thu May 30 2013 Archie Arevalo <pclinuxos.ph at gmail.com> 5.9-1pclos2013
- update

* Mon Jun 18 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 5.5-1_archie_2011
- update
